﻿@model HOD.Models.LocalPasswordModel

<p>
    You do not have a local password for this site. Add a local
    password so you can log in without an external login.
</p>

<div class="panel panel-default" style="padding: 4px;">
    <div class="panel-heading">
        <h3 class="panel-title">Login Form</h3>
    </div>
    <div class="panel-body" style="background-color: #ffffff">
        @using (Html.BeginForm("Manage", "Account", FormMethod.Post, new Dictionary<string, object> { { "id", "setpassword-form" }, { "enctype", "multipart/form-data" }, { "class", "form-horizontal" } }))
        {
            @Html.AntiForgeryToken()
            @Html.ValidationSummary()

            <div class="form-group">
                <fieldset class="">
                    <div class="panel panel-default">
                        <div class="panel-heading" align="left">Set Password</div>
                        <div class="panel-body">
                            <div class="form-group">
                                @Html.LabelFor(m => m.NewPassword, "New Password ", new { @class = "col-sm-3 control-label" })
                                <div class="col-sm-4">
                                    @Html.PasswordFor(m => m.NewPassword, new { @class = "form-control", @placeholder = "New Password" })
                                </div>
                            </div>
                            <div class="form-group">
                                @Html.LabelFor(m => m.ConfirmPassword, "Confirm Password ", new { @class = "col-sm-3 control-label" })
                                <div class="col-sm-4">
                                    @Html.PasswordFor(m => m.ConfirmPassword, new { @class = "form-control", @placeholder = "Confirm Password" })
                                </div>
                            </div>
                            <input type="submit" value="Set password"  class="btn btn-primary btn-lg"/>
                </fieldset>
            </div>
        }

    </div>
</div>
